Package de.willuhn.jameica.hbci.gui.action

# Class HibiscusAddressUpdate

java.lang.Object
de.willuhn.jameica.hbci.gui.action.HibiscusAddressUpdate

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Action`

public class HibiscusAddressUpdate extends Object implements de.willuhn.jameica.gui.Action
Action, der ein Objekt vom Typ HibiscusAddress uebergeben wird. Sie prueft, ob er bereits im Adressbuch existiert. Wenn nicht, legt sie ihn neu an. Falls er existiert, wird der Benutzer gefragt, ob er die Adresse ueberschreiben moechte.

## Constructor Summary

Constructors
Constructor
Description
`HibiscusAddressUpdate()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleAction(Object context)`
Erwartet ein Objekt vom Typ `Address`.
`void`
`setAddress(Address a)`
Speichert die Adresse, die auf Veraenderungen geprueft werden soll.
`void`
`setCreate(boolean b)`
Legt fest, ob die Adresse ggf.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HibiscusAddressUpdate

public HibiscusAddressUpdate()

## Method Details

### setAddress

public void setAddress(Address a)
Speichert die Adresse, die auf Veraenderungen geprueft werden soll.

Parameters:
  `a` - Adresse, die auf Veraenderungen geprueft werden soll.

### setCreate

public void setCreate(boolean b)
Legt fest, ob die Adresse ggf. neu angelegt werden soll.

Parameters:
  `b` - true, wenn die Adresse ggf. neu angelegt werden soll.

### handleAction

public void handleAction(Object context) throws de.willuhn.util.ApplicationException
Erwartet ein Objekt vom Typ `Address`.

Specified by:
  `handleAction` in interface `de.willuhn.jameica.gui.Action`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Action.handleAction(java.lang.Object)`